local soldier = {}

soldier.name = "Soldier"
soldier.range = 1/1.5
soldier.dmg = 1/1.75
soldier.hp = 1*1.75
soldier.speed = 1*1.5

soldier.shoot_t = 0.25
soldier.dmg,soldier.shoot_t = soldier.dmg/2,soldier.shoot_t/2

soldier.alt_t = 1
soldier.alt_name = "Shield"
soldier.alt_circle = 128
soldier.alt_circle_color = {0,0,255}
soldier.alt_desc = "Shield players in range for 1 hit up to 10 times."
soldier.alt = function(self,dt,player)
  for i,v in pairs(players.data) do
    if math.dist(v.x,v.y,player.x,player.y) < self.alt_circle then
      if not v.shield then v.shield = 0 end
      v.shield = v.shield + 1
      if v.shield > players.maxshield then
        v.shield = players.maxshield
      end
    end
  end
end

return soldier
