local engie = {}

engie.name = "Engineer"
engie.range = 1/1.75
engie.dmg = 1*1.5
engie.hp = 1/1.5
engie.speed = 1*1.75

engie.shoot_t = 0.25
engie.dmg,engie.shoot_t = engie.dmg*1.5,engie.shoot_t*1.5

engie.alt_t = 0.5
engie.alt_name = "Repair"
engie.alt_circle = 128
engie.alt_circle_color = {0,255,0}
engie.alt_desc = "Repair buildings in range by 25hp."
engie.alt = function(self,dt,player)
  for y,xdat in pairs(map.data) do
    for x,v in pairs(xdat) do
      if v.level > 0 then
        local rx = map.mapx_to_rawx(x)+16
        local ry = map.mapy_to_rawy(y)+16
        if math.dist(rx,ry,player.x,player.y) < self.alt_circle then
          v.hp = v.hp + 25
          if v.hp > build[v.level].hp then
            v.hp = build[v.level].hp
          end
        end
      end
    end
  end
end

return engie
