local ranger = {}

ranger.name = "Ranger"
ranger.range = 1*1.5
ranger.dmg = 1*1.75
ranger.hp = 1/1.75
ranger.speed = 1/1.5

ranger.shoot_t = 0.25
ranger.dmg,ranger.shoot_t = ranger.dmg*2,ranger.shoot_t*2

ranger.alt_t = 2
ranger.alt_name = "Bomb"
ranger.alt_circle = 128
ranger.alt_circle_color = {255,0,0}
ranger.alt_desc = "Damage enemies in range by 500hp."
ranger.alt = function(self,dt,player)
  for i,v in pairs(waves.data) do
    if math.dist(v.x,v.y,player.x,player.y) < self.alt_circle then
      v.hp = v.hp - 500
      if v.hp < 0 then
        v.hp = 0
        v._remove = true
      end
    end
  end
end

return ranger
